## org.w3c.dom.html
Interface HTMLFrameElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLFrameElement
extends HTMLElement

Create a frame. See the FRAME element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getFrameBorder()` Request frame borders.
`java.lang.String` `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` `getMarginHeight()` Frame margin height, in pixels.
`java.lang.String` `getMarginWidth()` Frame margin width, in pixels.
`java.lang.String` `getName()` The frame name (object of the `target` attribute).
`boolean` `getNoResize()` When true, forbid user from resizing frame.
`java.lang.String` `getScrolling()` Specify whether or not the frame should have scrollbars.
`java.lang.String` `getSrc()` A URI designating the initial frame contents.
`void` `setFrameBorder(java.lang.String frameBorder)`
`void` `setLongDesc(java.lang.String longDesc)`
`void` `setMarginHeight(java.lang.String marginHeight)`
`void` `setMarginWidth(java.lang.String marginWidth)`
`void` `setName(java.lang.String name)`
`void` `setNoResize(boolean noResize)`
`void` `setScrolling(java.lang.String scrolling)`
`void` `setSrc(java.lang.String src)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getFrameBorder

    public java.lang.String getFrameBorder()

  Request frame borders. See the frameborder attribute definition in HTML 4.0.

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

### getLongDesc

    public java.lang.String getLongDesc()

  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

### getMarginHeight

    public java.lang.String getMarginHeight()

  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

### getMarginWidth

    public java.lang.String getMarginWidth()

  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

### getName

    public java.lang.String getName()

  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getNoResize

    public boolean getNoResize()

  When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.0.

### setNoResize

    public void setNoResize(boolean noResize)

### getScrolling

    public java.lang.String getScrolling()

  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.

### setScrolling

    public void setScrolling(java.lang.String scrolling)

### getSrc

    public java.lang.String getSrc()

  A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.

### setSrc

    public void setSrc(java.lang.String src)

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.